-- MySQL dump 10.13  Distrib 5.1.44, for Win32 (ia32)
--
-- Host: longcroftchristianfellowship.org.uk    Database: web46-lcf-main
-- ------------------------------------------------------
-- Server version	5.1.48-community-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `dataface__mtimes`
--

DROP TABLE IF EXISTS `dataface__mtimes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dataface__mtimes` (
  `name` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `mtime` int(11) DEFAULT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dataface__version`
--

DROP TABLE IF EXISTS `dataface__version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dataface__version` (
  `version` int(5) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `documents`
--

DROP TABLE IF EXISTS `documents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `documents` (
  `rec_id` char(25) COLLATE latin1_general_ci NOT NULL,
  `filename` varchar(31) COLLATE latin1_general_ci NOT NULL,
  `description` varchar(127) COLLATE latin1_general_ci NOT NULL,
  `note` varchar(127) COLLATE latin1_general_ci DEFAULT NULL,
  `access_level` enum('0-none','1-general','2-member','3-admin','4-webmaster','9-none') COLLATE latin1_general_ci NOT NULL DEFAULT '0-none',
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `link_groups`
--

DROP TABLE IF EXISTS `link_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `link_groups` (
  `rec_id` int(11) NOT NULL,
  `description` varchar(31) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `links`
--

DROP TABLE IF EXISTS `links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `links` (
  `rec_id` int(11) NOT NULL DEFAULT '0',
  `description` varchar(63) COLLATE latin1_general_ci NOT NULL,
  `url` varchar(127) COLLATE latin1_general_ci NOT NULL DEFAULT 'http://www.',
  `note` varchar(127) COLLATE latin1_general_ci DEFAULT NULL,
  `link_group` varchar(31) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `main`
--

DROP TABLE IF EXISTS `main`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `main` (
  `rec_id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `menu_groups`
--

DROP TABLE IF EXISTS `menu_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_groups` (
  `rec_id` int(11) NOT NULL,
  `description` varchar(31) COLLATE latin1_general_ci NOT NULL,
  `menu_name` char(15) COLLATE latin1_general_ci DEFAULT NULL,
  `url_path` varchar(63) COLLATE latin1_general_ci DEFAULT NULL,
  `localhost` tinyint(1) NOT NULL DEFAULT '1',
  `min_access_level` enum('0-none','1-general','2-member','3-admin','4-webmaster','9-unused') COLLATE latin1_general_ci NOT NULL DEFAULT '0-none',
  `max_access_level` enum('0-none','1-general','2-member','3-admin','4-webmaster','9-unused') COLLATE latin1_general_ci NOT NULL DEFAULT '4-webmaster',
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `menu_items`
--

DROP TABLE IF EXISTS `menu_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_items` (
  `rec_id` int(11) NOT NULL DEFAULT '0',
  `description` varchar(63) COLLATE latin1_general_ci NOT NULL,
  `url_path` varchar(63) COLLATE latin1_general_ci DEFAULT NULL,
  `menu_group` varchar(31) COLLATE latin1_general_ci DEFAULT NULL,
  `localhost` tinyint(1) NOT NULL DEFAULT '1',
  `min_access_level` enum('0-none','1-general','2-member','3-admin','4-webmaster','9-unused') COLLATE latin1_general_ci NOT NULL DEFAULT '0-none',
  `max_access_level` enum('0-none','1-general','2-member','3-admin','4-webmaster','9-unused') COLLATE latin1_general_ci NOT NULL DEFAULT '4-webmaster',
  `special_function` char(15) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `notices`
--

DROP TABLE IF EXISTS `notices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `notices` (
  `ID` int(11) NOT NULL,
  `Text` varchar(511) COLLATE latin1_general_ci DEFAULT NULL,
  `Link` varchar(50) COLLATE latin1_general_ci DEFAULT NULL,
  `Exp_Date` date DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `page_content`
--

DROP TABLE IF EXISTS `page_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `page_content` (
  `name` varchar(31) COLLATE latin1_general_ci NOT NULL,
  `access_level` enum('0-none','1-general','2-member','3-admin','4-webmaster','9-none') COLLATE latin1_general_ci NOT NULL DEFAULT '0-none',
  `current_text` varchar(4095) COLLATE latin1_general_ci DEFAULT NULL,
  `new_text` varchar(4095) COLLATE latin1_general_ci DEFAULT NULL,
  `publish` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `page_keys`
--

DROP TABLE IF EXISTS `page_keys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `page_keys` (
  `url` varchar(63) COLLATE latin1_general_ci NOT NULL,
  `keycode` char(15) COLLATE latin1_general_ci DEFAULT NULL,
  `update_key` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`url`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `photo_album_groups`
--

DROP TABLE IF EXISTS `photo_album_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `photo_album_groups` (
  `group_number` int(11) NOT NULL,
  `group_id` varchar(31) COLLATE latin1_general_ci NOT NULL,
  `description` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `photo_albums`
--

DROP TABLE IF EXISTS `photo_albums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `photo_albums` (
  `group_id` varchar(31) COLLATE latin1_general_ci NOT NULL DEFAULT 'default',
  `album_number` int(11) NOT NULL,
  `album_id` varchar(15) COLLATE latin1_general_ci NOT NULL,
  `description` varchar(127) COLLATE latin1_general_ci NOT NULL,
  `url` varchar(255) COLLATE latin1_general_ci NOT NULL DEFAULT 'http://www.longcroftchristianfellowship.org.uk/photos/newalbum.php',
  `keycode` varchar(8) COLLATE latin1_general_ci NOT NULL DEFAULT '#',
  `publish` enum('none','local','full') COLLATE latin1_general_ci NOT NULL DEFAULT 'local',
  PRIMARY KEY (`album_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `photos`
--

DROP TABLE IF EXISTS `photos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `photos` (
  `album_id` varchar(31) COLLATE latin1_general_ci NOT NULL,
  `photo_number` int(11) NOT NULL,
  `filename` varchar(63) COLLATE latin1_general_ci DEFAULT NULL,
  `description` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`album_id`,`photo_number`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-10-18 18:18:43
