-- MySQL dump 10.13  Distrib 5.1.44, for Win32 (ia32)
--
-- Host: longcroftchristianfellowship.org.uk    Database: web46-lcf-mp3
-- ------------------------------------------------------
-- Server version	5.1.48-community-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `backup_discs`
--

DROP TABLE IF EXISTS `backup_discs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_discs` (
  `disc_id` char(4) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`disc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dataface__mtimes`
--

DROP TABLE IF EXISTS `dataface__mtimes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dataface__mtimes` (
  `name` varchar(255) NOT NULL,
  `mtime` int(11) DEFAULT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dataface__preferences`
--

DROP TABLE IF EXISTS `dataface__preferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dataface__preferences` (
  `pref_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(64) NOT NULL,
  `table` varchar(128) NOT NULL,
  `record_id` varchar(255) NOT NULL,
  `key` varchar(128) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY (`pref_id`),
  KEY `username` (`username`),
  KEY `table` (`table`),
  KEY `record_id` (`record_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dataface__version`
--

DROP TABLE IF EXISTS `dataface__version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dataface__version` (
  `version` int(5) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `dated_pages`
--

DROP TABLE IF EXISTS `dated_pages`;
/*!50001 DROP VIEW IF EXISTS `dated_pages`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `dated_pages` (
  `name` varchar(20),
  `auto_values` tinyint(1),
  `menu_title` varchar(50),
  `page_title` varchar(127),
  `alt_artist` varchar(50),
  `alt_album` varchar(50),
  `free_text` varchar(255),
  `status` enum('private','public'),
  `sub_menu` varchar(20),
  `menu_order` int(11)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `dated_submenus`
--

DROP TABLE IF EXISTS `dated_submenus`;
/*!50001 DROP VIEW IF EXISTS `dated_submenus`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `dated_submenus` (
  `name` varchar(20),
  `menu_title` varchar(20),
  `page_title` varchar(127),
  `free_text` varchar(255),
  `public_format` enum('menu','page'),
  `private_format` enum('menu','page'),
  `status` enum('private','public'),
  `menu_order` int(11)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `locked`
--

DROP TABLE IF EXISTS `locked`;
/*!50001 DROP VIEW IF EXISTS `locked`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `locked` (
  `filename` varchar(32),
  `speaker` varchar(50),
  `title` varchar(64),
  `alt_description` varchar(255),
  `locked` tinyint(1)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `main`
--

DROP TABLE IF EXISTS `main`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `main` (
  `rec_id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mp3list`
--

DROP TABLE IF EXISTS `mp3list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mp3list` (
  `filename` varchar(32) COLLATE latin1_general_ci NOT NULL DEFAULT 'Longcroft_',
  `alt_filename` varchar(32) COLLATE latin1_general_ci DEFAULT NULL,
  `filetype` enum('cd','dvd','mp3','note','nul','pdf','ppt','vid','zip') COLLATE latin1_general_ci NOT NULL DEFAULT 'mp3',
  `auto_values` tinyint(1) NOT NULL DEFAULT '1',
  `date` date DEFAULT NULL,
  `time` enum('am','pm') COLLATE latin1_general_ci DEFAULT NULL,
  `guest_service` tinyint(1) NOT NULL DEFAULT '0',
  `speaker` varchar(50) COLLATE latin1_general_ci DEFAULT NULL,
  `no_index_speaker` tinyint(1) NOT NULL DEFAULT '0',
  `title` varchar(64) COLLATE latin1_general_ci DEFAULT NULL,
  `alt_title` varchar(128) COLLATE latin1_general_ci DEFAULT NULL,
  `alt_description` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  `rec_mode` enum('D','T') COLLATE latin1_general_ci NOT NULL DEFAULT 'D',
  `status` enum('public','private','restricted','cd-only') COLLATE latin1_general_ci NOT NULL DEFAULT 'private',
  `hidden` tinyint(1) NOT NULL DEFAULT '1',
  `locked` tinyint(1) NOT NULL DEFAULT '1',
  `no_download` tinyint(1) NOT NULL DEFAULT '0',
  `keycode` varchar(8) COLLATE latin1_general_ci NOT NULL DEFAULT '#',
  `page` varchar(15) COLLATE latin1_general_ci DEFAULT NULL,
  `alt_page` varchar(15) COLLATE latin1_general_ci DEFAULT NULL,
  `note` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  `cd_info` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  `alt_cd_label` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  `backup_disc` varchar(6) COLLATE latin1_general_ci DEFAULT NULL,
  `file_count` int(4) NOT NULL DEFAULT '1',
  `download_count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`filename`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mp3pages`
--

DROP TABLE IF EXISTS `mp3pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mp3pages` (
  `name` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `auto_values` tinyint(1) NOT NULL DEFAULT '1',
  `menu_title` varchar(50) COLLATE latin1_general_ci DEFAULT NULL,
  `page_title` varchar(127) COLLATE latin1_general_ci DEFAULT NULL,
  `alt_artist` varchar(50) COLLATE latin1_general_ci DEFAULT NULL,
  `alt_album` varchar(50) COLLATE latin1_general_ci DEFAULT NULL,
  `free_text` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  `status` enum('private','public') COLLATE latin1_general_ci NOT NULL DEFAULT 'private',
  `sub_menu` varchar(20) COLLATE latin1_general_ci DEFAULT NULL,
  `menu_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mp3submenus`
--

DROP TABLE IF EXISTS `mp3submenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mp3submenus` (
  `name` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `menu_title` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `page_title` varchar(127) COLLATE latin1_general_ci DEFAULT NULL,
  `free_text` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  `public_format` enum('menu','page') COLLATE latin1_general_ci NOT NULL DEFAULT 'menu',
  `private_format` enum('menu','page') COLLATE latin1_general_ci NOT NULL DEFAULT 'menu',
  `status` enum('private','public') COLLATE latin1_general_ci NOT NULL DEFAULT 'private',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mp3tags`
--

DROP TABLE IF EXISTS `mp3tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mp3tags` (
  `filename` varchar(32) COLLATE latin1_general_ci NOT NULL,
  `title` varchar(128) COLLATE latin1_general_ci NOT NULL,
  `artist` varchar(50) COLLATE latin1_general_ci NOT NULL,
  `album` varchar(50) COLLATE latin1_general_ci NOT NULL,
  `year` int(11) NOT NULL DEFAULT '0',
  `genre` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`filename`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `new_item`
--

DROP TABLE IF EXISTS `new_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `new_item` (
  `rec_id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`rec_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `speakers`
--

DROP TABLE IF EXISTS `speakers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `speakers` (
  `name` varchar(32) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `undated_pages`
--

DROP TABLE IF EXISTS `undated_pages`;
/*!50001 DROP VIEW IF EXISTS `undated_pages`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `undated_pages` (
  `name` varchar(20),
  `auto_values` tinyint(1),
  `menu_title` varchar(50),
  `page_title` varchar(127),
  `alt_artist` varchar(50),
  `alt_album` varchar(50),
  `free_text` varchar(255),
  `status` enum('private','public'),
  `sub_menu` varchar(20),
  `menu_order` int(11)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `undated_submenus`
--

DROP TABLE IF EXISTS `undated_submenus`;
/*!50001 DROP VIEW IF EXISTS `undated_submenus`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `undated_submenus` (
  `name` varchar(20),
  `menu_title` varchar(20),
  `page_title` varchar(127),
  `free_text` varchar(255),
  `public_format` enum('menu','page'),
  `private_format` enum('menu','page'),
  `status` enum('private','public'),
  `menu_order` int(11)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `worship`
--

DROP TABLE IF EXISTS `worship`;
/*!50001 DROP VIEW IF EXISTS `worship`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `worship` (
  `filename` varchar(32),
  `speaker` varchar(50),
  `title` varchar(64)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Final view structure for view `dated_pages`
--

/*!50001 DROP TABLE IF EXISTS `dated_pages`*/;
/*!50001 DROP VIEW IF EXISTS `dated_pages`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`web46-lcf-mp3`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `dated_pages` AS select `mp3pages`.`name` AS `name`,`mp3pages`.`auto_values` AS `auto_values`,`mp3pages`.`menu_title` AS `menu_title`,`mp3pages`.`page_title` AS `page_title`,`mp3pages`.`alt_artist` AS `alt_artist`,`mp3pages`.`alt_album` AS `alt_album`,`mp3pages`.`free_text` AS `free_text`,`mp3pages`.`status` AS `status`,`mp3pages`.`sub_menu` AS `sub_menu`,`mp3pages`.`menu_order` AS `menu_order` from `mp3pages` where ((`mp3pages`.`name` >= _latin1'm0000') and (`mp3pages`.`name` <= _latin1'm9999')) order by `mp3pages`.`menu_order`,`mp3pages`.`name` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `dated_submenus`
--

/*!50001 DROP TABLE IF EXISTS `dated_submenus`*/;
/*!50001 DROP VIEW IF EXISTS `dated_submenus`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`web46-lcf-mp3`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `dated_submenus` AS select `mp3submenus`.`name` AS `name`,`mp3submenus`.`menu_title` AS `menu_title`,`mp3submenus`.`page_title` AS `page_title`,`mp3submenus`.`free_text` AS `free_text`,`mp3submenus`.`public_format` AS `public_format`,`mp3submenus`.`private_format` AS `private_format`,`mp3submenus`.`status` AS `status`,`mp3submenus`.`menu_order` AS `menu_order` from `mp3submenus` where ((`mp3submenus`.`name` >= _latin1'Y0000') and (`mp3submenus`.`name` <= _latin1'Y9999')) order by `mp3submenus`.`menu_order`,`mp3submenus`.`name` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `locked`
--

/*!50001 DROP TABLE IF EXISTS `locked`*/;
/*!50001 DROP VIEW IF EXISTS `locked`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`web46-lcf-mp3`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `locked` AS select `mp3list`.`filename` AS `filename`,`mp3list`.`speaker` AS `speaker`,`mp3list`.`title` AS `title`,`mp3list`.`alt_description` AS `alt_description`,`mp3list`.`locked` AS `locked` from `mp3list` where (`mp3list`.`locked` = 1) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `undated_pages`
--

/*!50001 DROP TABLE IF EXISTS `undated_pages`*/;
/*!50001 DROP VIEW IF EXISTS `undated_pages`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`web46-lcf-mp3`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `undated_pages` AS select `mp3pages`.`name` AS `name`,`mp3pages`.`auto_values` AS `auto_values`,`mp3pages`.`menu_title` AS `menu_title`,`mp3pages`.`page_title` AS `page_title`,`mp3pages`.`alt_artist` AS `alt_artist`,`mp3pages`.`alt_album` AS `alt_album`,`mp3pages`.`free_text` AS `free_text`,`mp3pages`.`status` AS `status`,`mp3pages`.`sub_menu` AS `sub_menu`,`mp3pages`.`menu_order` AS `menu_order` from `mp3pages` where ((`mp3pages`.`name` < _latin1'm0000') or (`mp3pages`.`name` > _latin1'm9999')) order by `mp3pages`.`menu_order`,`mp3pages`.`name` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `undated_submenus`
--

/*!50001 DROP TABLE IF EXISTS `undated_submenus`*/;
/*!50001 DROP VIEW IF EXISTS `undated_submenus`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`web46-lcf-mp3`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `undated_submenus` AS select `mp3submenus`.`name` AS `name`,`mp3submenus`.`menu_title` AS `menu_title`,`mp3submenus`.`page_title` AS `page_title`,`mp3submenus`.`free_text` AS `free_text`,`mp3submenus`.`public_format` AS `public_format`,`mp3submenus`.`private_format` AS `private_format`,`mp3submenus`.`status` AS `status`,`mp3submenus`.`menu_order` AS `menu_order` from `mp3submenus` where ((`mp3submenus`.`name` < _latin1'Y0000') or (`mp3submenus`.`name` > _latin1'Y9999')) order by `mp3submenus`.`menu_order`,`mp3submenus`.`name` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `worship`
--

/*!50001 DROP TABLE IF EXISTS `worship`*/;
/*!50001 DROP VIEW IF EXISTS `worship`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`web46-lcf-mp3`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `worship` AS select `mp3list`.`filename` AS `filename`,`mp3list`.`speaker` AS `speaker`,`mp3list`.`title` AS `title` from `mp3list` where ((`mp3list`.`title` = _latin1'Worship') and (`mp3list`.`hidden` = 1)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-10-18 11:29:15
